-- Label parameters
-- Copyright (C) 2004, Eagle Dynamics.

AirOn	= true
GroundOn = true
NavyOn	= true
WeaponOn = false
labels_format_version = 1 -- labels format vesrion

-- Label max distance depends on graphics visibility range option value
-- For low E40000.0 m
-- For medium E50000.0 m
-- For high E80000.0 m

---------------------------------
-- Label text format symbols
-- %N - name of object
-- %D - distance to object
-- %P - pilot name
-- %n - new line 
-- %% - symbol '%'
-- %x, where x is not NDPn% - symbol 'x'
-- %C - extended info for vehicle's and ship's weapon systems
------------------------------------------
-- Example
-- labelFormat[5000] = {"Name: %N%nDistance: %D%n Pilot: %P","LeftBottom",0,0}
-- up to 5km label is:
-- Name: Su-33
-- Distance: 30km
-- Pilot: Pilot1


-- alignment options 
--"RightBottom"
--"LeftTop"
--"RightTop"
--"LeftCenter"
--"RightCenter"
--"CenterBottom"
--"CenterTop"
--"CenterCenter"
--"LeftBottom"
font_properties =  {"DejaVuLGCSans.ttf", 12, 0, 0, 0}
shift_pixels_x = 1 --was 0, appeared left of unit.  2 and 4 were to the right
shift_pixels_y = -3 --was -4, appeared below unit.   0 and -2 were above.
AirFormat = {
--[distance]	= {format , alignment,color_blending_k,opacity,shift_pixels_x, shift_in_pixels_y}
[500]	= {"˙","CenterCenter",1, 0.0, shift_pixels_x, shift_pixels_y},
[600]	= {"˙","CenterCenter",1, 0.05, shift_pixels_x, shift_pixels_y},
[700]	= {"˙","CenterCenter",1, 0.05, shift_pixels_x, shift_pixels_y},
[800]	= {"˙","CenterCenter",1, 0.05, shift_pixels_x, shift_pixels_y},
[900]	= {"˙","CenterCenter",1, 0.05, shift_pixels_x, shift_pixels_y},
[1000]	= {"˙","CenterCenter",1, 0.07, shift_pixels_x, shift_pixels_y},
[1100]	= {"˙","CenterCenter",1, 0.07, shift_pixels_x, shift_pixels_y},
[1200]	= {"˙","CenterCenter",1, 0.08, shift_pixels_x, shift_pixels_y},
[1300]	= {"˙","CenterCenter",1, 0.08, shift_pixels_x, shift_pixels_y},
[1400]	= {"˙","CenterCenter",1, 0.1, shift_pixels_x, shift_pixels_y},
[1500]	= {"˙","CenterCenter",1, 0.1, shift_pixels_x, shift_pixels_y},
[1600]	= {"˙","CenterCenter",1, 0.1, shift_pixels_x, shift_pixels_y},
[1700]	= {"˙","CenterCenter",1, 0.11, shift_pixels_x, shift_pixels_y},
[1800]	= {"˙","CenterCenter",1, 0.12, shift_pixels_x, shift_pixels_y},
[1900]	= {"˙","CenterCenter",1, 0.14, shift_pixels_x, shift_pixels_y},
[2000]	= {"˙","CenterCenter",1, 0.14, shift_pixels_x, shift_pixels_y},
[3000]	= {"˙","CenterCenter",1, 0.11, shift_pixels_x, shift_pixels_y},
[3700]	= {"˙","CenterCenter",1, 0.1, shift_pixels_x, shift_pixels_y},
[4000]	= {"","CenterCenter",1, 0, shift_pixels_x, shift_pixels_y},
[80000]	= {"","CenterCenter",1, 0, shift_pixels_x, shift_pixels_y},
}

GroundFormat = {
--[distance]	= {format , alignment,color_blending_k,opacity,shift_pixels_x, shift_in_pixels_y}
[50]	= {"˙","CenterCenter",1, 0.0, shift_pixels_x, shift_pixels_y},
[250]	= {"˙","CenterCenter",1, 0.25, shift_pixels_x, shift_pixels_y},
[1000]	= {"˙","CenterCenter",1, 0.25, shift_pixels_x, shift_pixels_y},
[2000]	= {"˙","CenterCenter",1, 0.2, shift_pixels_x, shift_pixels_y},
[3000]	= {"˙","CenterCenter",1, 0.1, shift_pixels_x, shift_pixels_y},
[3500]	= {"˙","CenterCenter",1, 0.01, shift_pixels_x, shift_pixels_y},
[80000]	= {"","CenterCenter",1, 0, shift_pixels_x, shift_pixels_y},
}

NavyFormat = {
--[distance]	= {format , alignment,color_blending_k,opacity,shift_pixels_x, shift_in_pixels_y}
[50]	= {"˙","CenterCenter",1, 0.0, shift_pixels_x, shift_pixels_y},
[250]	= {"˙","CenterCenter",1, 0.25, shift_pixels_x, shift_pixels_y},
[1000]	= {"˙","CenterCenter",1, 0.25, shift_pixels_x, shift_pixels_y},
[2000]	= {"˙","CenterCenter",1, 0.2, shift_pixels_x, shift_pixels_y},
[3000]	= {"˙","CenterCenter",1, 0.1, shift_pixels_x, shift_pixels_y},
[3500]	= {"˙","CenterCenter",1, 0.01, shift_pixels_x, shift_pixels_y},
[80000]	= {"","CenterCenter",1, 0, shift_pixels_x, shift_pixels_y},
}

WeaponFormat = {
--[distance]	= {format , alignment,color_blending_k,opacity,shift_pixels_x, shift_in_pixels_y}
[5000]	= {"[%N%n%D"	,"LeftBottom"},
[10000]	= {"|%n%D"	,"LeftBottom"},
[20000]	= {"|"	,"LeftBottom"},
}

-- Colors in {red, green, blue} format, volume from 0 up to 255

red={0, 82, 199}
blue={249, 69, 38}
black = {10, 10, 10}
darkgray = {50, 50, 50}

ColorAliesSide = darkgray
ColorEnemiesSide = darkgray
ColorUnknown = darkgray -- will be blend at distance with coalition color