--Script by GTFreeFlyer.  Copywrite April 20, 2020.
--You are free to use this script for your own missions under the following conditions:
----1. Credit is given in your mission briefing (i.e. "PvP script by GTFreeFlyer")
----2. This script can not be used for revenue-generating servers, which includes links for donations.  Contact GTFreeFlyer@yahoo.com if you need permission.
----3. This line and all the lines above must remain in the script if copied over.
--Thanks for your understanding!

_goalObjectsToDestroy = 300
_blueBase = "Bayeux"
_redBase = "Carentan"

------------------------------------------------------------------------------
_numberOfDeadBlueObjects = 0
_previousNumberOfDeadBlueObjects = 0
_deadBlueObjectsTable = {}

_numberOfDeadRedObjects = 0
_previousNumberOfDeadRedObjects = 0
_deadRedObjectsTable = {}

_handicapApplied = false

function _countDeadBlueObjects()  
        _deadBlueObjectsTable = mist.getDeadMapObjsInZones({_blueBase})
        _numberOfDeadBlueObjects = #_deadBlueObjectsTable
        if _numberOfDeadBlueObjects > _previousNumberOfDeadBlueObjects then
            trigger.action.outSoundForCoalition(1, "eventually.ogg")  -- 1=Red, 2=Blue
            trigger.action.outSoundForCoalition(2, "errortone.ogg")  -- 1=Red, 2=Blue
            if _numberOfDeadBlueObjects < _goalObjectsToDestroy then 
                trigger.action.outText("Red team: " .. _numberOfDeadBlueObjects .. " objects destroyed. " .. _goalObjectsToDestroy - _numberOfDeadBlueObjects .. " remaining.", 10, true) 
                _previousNumberOfDeadBlueObjects = _numberOfDeadBlueObjects 
            else
                trigger.action.outText("Congrats to Red team! " .. _goalObjectsToDestroy .. " objects have been destroyed.  Restart the mission if you'd like to play again.", 30, true)
            end
        end
        if _numberOfDeadBlueObjects < _goalObjectsToDestroy and _numberOfDeadRedObjects < _goalObjectsToDestroy then 
            timer.scheduleFunction(_countDeadBlueObjects, nil, timer.getTime() + 3) 
        end
end

function _countDeadRedObjects()  

    _deadRedObjectsTable = mist.getDeadMapObjsInZones({_redBase})
    _numberOfDeadRedObjects = #_deadRedObjectsTable

    --apply handicap?
    _flag55 = trigger.misc.getUserFlag("55") --this is set up in the mission editor for blue bomber group 1 passing over target, and we assume they dropped their bombs
    if _handicapApplied == false and _flag55 == 1 then
        _numberOfDeadRedObjects = _numberOfDeadRedObjects + 6 -- handicap determined to be 6 after testing.
        _handicapApplied = true
    end

    if _numberOfDeadRedObjects > _previousNumberOfDeadRedObjects then
        trigger.action.outSoundForCoalition(2, "eventually.ogg")  -- 1=Red, 2=Blue
        trigger.action.outSoundForCoalition(1, "errortone.ogg")  -- 1=Red, 2=Blue
        if _numberOfDeadRedObjects < _goalObjectsToDestroy then 
            trigger.action.outText("Blue team: " .. _numberOfDeadRedObjects .. " objects destroyed. " .. _goalObjectsToDestroy - _numberOfDeadRedObjects .. " remaining.", 10, true) 
            _previousNumberOfDeadRedObjects = _numberOfDeadRedObjects 
        else
            trigger.action.outText("Congrats to Blue team! " .. _goalObjectsToDestroy .. " objects have been destroyed.  Restart the mission if you'd like to play again.", 30, true)
        end
    end
    if _numberOfDeadBlueObjects < _goalObjectsToDestroy and _numberOfDeadRedObjects < _goalObjectsToDestroy then 
        timer.scheduleFunction(_countDeadRedObjects, nil, timer.getTime() + 3) 
    end
end

timer.scheduleFunction(_countDeadBlueObjects, nil, timer.getTime() + 1)
timer.scheduleFunction(_countDeadRedObjects, nil, timer.getTime() + 2.5)

--testing:
-- b1: 89  (89)
-- r1: 120 (120)
-- b2: 240 (151)
-- r2: 256 (136)
-- b3: 368 (128)
-- r3: 410 (154)

--changed only group 1 for both
-- b1: 94 
-- r1: 99
-- b2: 249 (155)
-- r2: 234 (135)
-- b3: 374 (125)
-- r3: 365 (131)

--changed blue 2 and red 3 to miss a little
-- b1: 84
-- r1: 90
-- b2: 215
-- r2: 221
-- b3: 351
-- r3: 353