--Script by GTFreeFlyer.  Copywrite April 20, 2020.
--You are free to use this script for your own missions under the following conditions:
----1. Credit is given in your mission briefing (i.e. "PvP script by GTFreeFlyer")
----2. This script can not be used for revenue-generating servers, which includes links for donations.  Contact GTFreeFlyer@yahoo.com if you need permission.
----3. This line and all the lines above must remain in the script if copied over.
--Thanks for your understanding!

--SETUP----------------------------------------------------------------------------------------------------------------------
_bluePlanes = {
    {ME_name ="Blue Mustang 1"}, 
    {ME_name ="Blue Mustang 2"}, 
    {ME_name ="Blue Mustang 3"}, 
    {ME_name ="Blue Mustang 4"}, 
    {ME_name ="Blue Mustang 5"}, 
    {ME_name ="Blue Mustang 6"},
    {ME_name ="Blue Mustang 7"},
    {ME_name ="Blue Mustang 8"},
    {ME_name ="Blue Spitfire 1"}, 
    {ME_name ="Blue Spitfire 2"}, 
    {ME_name ="Blue Spitfire 3"}, 
    {ME_name ="Blue Spitfire 4"}, 
    {ME_name ="Blue Spitfire 5"}, 
    {ME_name ="Blue Spitfire 6"},
    {ME_name ="Blue 109 1"}, 
    {ME_name ="Blue 109 2"}, 
    {ME_name ="Blue 109 3"}, 
    {ME_name ="Blue 109 4"},
    {ME_name ="Blue 190 1"}, 
    {ME_name ="Blue 190 2"}, 
    {ME_name ="Blue 190 3"}, 
    {ME_name ="Blue 190 4"},
    {ME_name ="Blue Dora 1"}, 
    {ME_name ="Blue Dora 2"}, 
    {ME_name ="Blue Dora 3"}, 
    {ME_name ="Blue Dora 4"},
    {ME_name ="Blue I-16 1"}, 
    {ME_name ="Blue I-16 2"}, 
    {ME_name ="Blue I-16 3"}, 
    {ME_name ="Blue I-16 4"}
}

_redPlanes = {
    {ME_name = "Red Mustang 1"}, 
    {ME_name = "Red Mustang 2"}, 
    {ME_name = "Red Mustang 3"}, 
    {ME_name = "Red Mustang 4"}, 
    {ME_name = "Red Mustang 5"}, 
    {ME_name = "Red Mustang 6"},
    {ME_name = "Red Mustang 7"},
    {ME_name = "Red Mustang 8"},
    {ME_name = "Red Spitfire 1"}, 
    {ME_name = "Red Spitfire 2"}, 
    {ME_name = "Red Spitfire 3"}, 
    {ME_name = "Red Spitfire 4"}, 
    {ME_name = "Red Spitfire 5"}, 
    {ME_name = "Red Spitfire 6"},
    {ME_name = "Red 109 1"}, 
    {ME_name = "Red 109 2"}, 
    {ME_name = "Red 109 3"}, 
    {ME_name = "Red 109 4"},
    {ME_name = "Red 190 1"}, 
    {ME_name = "Red 190 2"}, 
    {ME_name = "Red 190 3"}, 
    {ME_name = "Red 190 4"},
    {ME_name = "Red Dora 1"}, 
    {ME_name = "Red Dora 2"}, 
    {ME_name = "Red Dora 3"}, 
    {ME_name = "Red Dora 4"},
    {ME_name = "Red I-16 1"}, 
    {ME_name = "Red I-16 2"}, 
    {ME_name = "Red I-16 3"}, 
    {ME_name = "Red I-16 4"}
}
------------------------------------------------------------------------------------------------------------------------
--INITIAL CONDITIONS----------------------------------------------------------------------------------------------------------------------
_numberOfBlueDeaths = 0
_numberOfRedDeaths = 0
_blueBomberFuel = 0
_redBomberFuel = 0
_blueBombersReady = 0
_redBombersReady = 0

-----------------------------------------------------------------------------------------------------------------------------
--SCRIPT----------------------------------------------------------------------------------------------------------------------
function _checkBlue()
    --env.info("Checking Blue")
    if _redBombersReady < 3 then
        timer.scheduleFunction(_checkBlue, nil, timer.getTime() + 1)
    end
    for _pilotNumber, _aircraftDetails in ipairs(_bluePlanes) do
        _name = Unit.getByName(_aircraftDetails.ME_name)
        if _name ~= nil then --if player is found online
            --env.info("Blue _name~=nil")
            _bluePlanes[_pilotNumber].inGameName = _name:getPlayerName()  -- Returns the human player's callsign for easier identification inside the mission
            _bluePlanes[_pilotNumber].groupName = _name:getGroup()
            _bluePlanes[_pilotNumber].groupID = _bluePlanes[_pilotNumber].groupName:getID()
            --env.info("Blue player = " .. _bluePlanes[_pilotNumber].inGameName)

        elseif _bluePlanes[_pilotNumber].inGameName ~= "(errorRetrievingName)" then  -- here we check to make sure that someone was in this aircraft, but no longer in the server or alive   
            --env.info("Blue _inGameName ~= (errorRetrievingName)")         
            _numberOfBlueDeaths = _numberOfBlueDeaths + 1
            _redBomberFuel = _redBomberFuel + 20
            --env.info("redBomberFuel = " .. _redBomberFuel)
            trigger.action.outSoundForCoalition(1, "eventually.ogg")  -- 1=Red, 2=Blue
            trigger.action.outSoundForCoalition(2, "errortone.ogg")  -- 1=Red, 2=Blue
            trigger.action.outText("Blue team pilot " .. _bluePlanes[_pilotNumber].inGameName .. " has been killed.  Red bombers' fuel tanks are " .. _redBomberFuel .. "% filled up." , 10) 
            --env.info("Blue team pilot " .. _bluePlanes[_pilotNumber].inGameName .. " has been killed.  Red bombers' fuel tanks are " .. _redBomberFuel .. " percent filled up.")
            if _redBomberFuel == 100 then 
                --env.info("_redBomberFuel = " .. _redBomberFuel)
                _redBombersReady = _redBombersReady + 1
                --env.info("_redBombersReady = " .. _redBombersReady)
                if _redBombersReady == 1 then missionCommands.addCommandForCoalition(1, "Send Bomber Group 1", nil, function() trigger.action.setUserFlag(1, true) env.info("Blue activated Bomber Group 1") end) end
                if _redBombersReady == 2 then missionCommands.addCommandForCoalition(1, "Send Bomber Group 2", nil, function() trigger.action.setUserFlag(2, true) env.info("Blue activated Bomber Group 2") end) end
                if _redBombersReady == 3 then missionCommands.addCommandForCoalition(1, "Send Bomber Group 3", nil, function() trigger.action.setUserFlag(3, true) env.info("Blue activated Bomber Group 3") end) end
                _redBomberFuel = 0
                --env.info("_redBombersFuel reset to zero")
            end
            --env.info("Now resetting Blue _pilotNumber " .. _pilotNumber)
            _resetBluePlane(_pilotNumber)
            --env.info("Blue _pilotNumber " .. _pilotNumber .. " has been reset.")
        end
    end
end

function _checkRed()
    --env.info("Checking Red")
    if _blueBombersReady < 3 then
        timer.scheduleFunction(_checkRed, nil, timer.getTime() + 1)
    end
    for _pilotNumber, _aircraftDetails in ipairs(_redPlanes) do
        _name = Unit.getByName(_aircraftDetails.ME_name)
        if _name ~= nil then --if player is found online
            --env.info("Red _name~=nil")
            _redPlanes[_pilotNumber].inGameName = _name:getPlayerName()  -- Returns the human player's callsign for easier identification inside the mission
            _redPlanes[_pilotNumber].groupName = _name:getGroup()
            _redPlanes[_pilotNumber].groupID = _redPlanes[_pilotNumber].groupName:getID()
            --env.info("Red player = " .. _redPlanes[_pilotNumber].inGameName)

        elseif _redPlanes[_pilotNumber].inGameName ~= "(errorRetrievingName)" then  -- here we check to make sure that someone was in this aircraft, but no longer in the server or alive
            --env.info("Red _inGameName ~= (errorRetrievingName)") 
            _numberOfRedDeaths = _numberOfRedDeaths + 1            
            _blueBomberFuel = _blueBomberFuel + 20
            --env.info("blueBomberFuel = " .. _blueBomberFuel)
            trigger.action.outSoundForCoalition(2, "eventually.ogg")  -- 1=Red, 2=Blue
            trigger.action.outSoundForCoalition(1, "errortone.ogg")  -- 1=Red, 2=Blue
            trigger.action.outText("Red team pilot " .. _redPlanes[_pilotNumber].inGameName .. " has been killed.  Blue bombers' fuel tanks are " .. _blueBomberFuel .. "% filled up." , 10) 
            --env.info("Red team pilot " .. _redPlanes[_pilotNumber].inGameName .. " has been killed.  Blue bombers' fuel tanks are " .. _blueBomberFuel .. " percent filled up.")
            if _blueBomberFuel == 100 then 
                --env.info("_blueBomberFuel = " .. _blueBomberFuel)
                _blueBombersReady = _blueBombersReady + 1
                --env.info("_blueBombersReady = " .. _blueBombersReady)
                if _blueBombersReady == 1 then missionCommands.addCommandForCoalition(2, "Send Bomber Group 1", nil, function() trigger.action.setUserFlag(4, true) env.info("Red activated Bomber Group 1") end) end                
                if _blueBombersReady == 2 then missionCommands.addCommandForCoalition(2, "Send Bomber Group 2", nil, function() trigger.action.setUserFlag(5, true) env.info("Red activated Bomber Group 2") end) end
                if _blueBombersReady == 3 then missionCommands.addCommandForCoalition(2, "Send Bomber Group 3", nil, function() trigger.action.setUserFlag(6, true) env.info("Red activated Bomber Group 3") end) end
                _blueBomberFuel = 0
                --env.info("_blueBombersFuel reset to zero")
            end
            --env.info("Now resetting Red _pilotNumber " .. _pilotNumber)
            _resetRedPlane(_pilotNumber)
            --env.info("Red _pilotNumber " .. _pilotNumber .. " has been reset.")
        end
    end
end

function _resetBluePlane(_pilotNumber)  
    _bluePlanes[_pilotNumber].inGameName = "(errorRetrievingName)"
    _bluePlanes[_pilotNumber].groupName = {}
    _bluePlanes[_pilotNumber].groupID = 0
end

function _resetRedPlane(_pilotNumber)  
    _redPlanes[_pilotNumber].inGameName = "(errorRetrievingName)"
    _redPlanes[_pilotNumber].groupName = {}
    _redPlanes[_pilotNumber].groupID = 0
end

--build the remaining tables with the defaults
for i = 1, #_bluePlanes do
    _resetBluePlane(i)
end
for j = 1, #_redPlanes do
    _resetRedPlane(j)
end

_checkBlue()
timer.scheduleFunction(_checkRed, nil, timer.getTime() + .5)